#
# spec file for package python-python-gammu
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-python-gammu
Version:        3.2.4
Release:        1.15
Summary:        Python module to communicate with mobile phones
License:        GPL-2.0-or-later
Group:          Development/Languages/Python
URL:            https://wammu.eu/python-gammu/
Source:         https://github.com/gammu/python-gammu/archive/refs/tags/%{version}.tar.gz#/python-gammu-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  gammu-devel >= 1.37.90
BuildRequires:  libdbi-drivers-dbd-sqlite3
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
Obsoletes:      python-gammu < %{version}
Provides:       python-gammu = %{version}
%python_subpackages

%description
This provides gammu module, that can work with any phone Gammu
supports - many Nokias, Siemens, Alcatel, ...

%prep
%setup -q -n python-gammu-%{version}
find . -type f -name "*.py" -exec sed -i -e 's|\/usr\/bin\/env python|\/usr\/bin\/python|g' {} \;

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%check
# Need to limit tests due to brekage of libdbi
rm test/test_smsd.py
export LANG=en_US.UTF-8
mv gammu gammu.hide
%pyunittest_arch discover -v

%files %{python_files}
%license COPYING
%doc README.rst AUTHORS examples/
%{python_sitearch}/*

%changelog
* Sun Jan 16 2022 Dirk Müller <dmueller@suse.com>
- update to 3.2.4:
  * python 3.10 support
* Thu Aug 19 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 3.2.3
  * Fixed uninitalized memory usage in DeleteSMS.
- Update to version 3.2.2
  * Fixed metadata in published wheels.
  * Avoid using some of deprecated Python APIs.
- Update to version 3.2
  * Add support for polling on the async worker
  * Modernize codebase using pyupgrade, isort and black
* Fri May 28 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
* Sat Jul 25 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 3.1
  * Fix an issue where the gammu worker thread could be brought
    down if a callback throws an exception
* Tue Jul  7 2020 ecsos <ecsos@opensuse.org>
- Update to 3.0
  - Add support for asyncio in the gammu worker
  - Dropped support for Python 2.
- Fix rpmlint errors.
- Run spec-cleaner.
* Thu May  9 2019 pgajdos@suse.com
- version update to 2.12
  * meta and doc changes
- convert to singlespec
* Sun Jan  7 2018 ecsos@opensuse.org
- Update to 2.11
  * Add support for the USSD in SMSD.
- Update to 2.10
  * Testsuite compatibility with Gammu 1.38.5.
- Update to 2.8
  * Make parameters to CancelCall and AnswerCall optional.
  * Added support for UTF-16 Unicode chars (emojis).
* Fri Nov 25 2016 ecsos@opensuse.org
- Update to 2.7
  * Compatibility with Gammu >= 1.37.90
- change source url to url that work
* Sat May 28 2016 ecsos@opensuse.org
- Update to 2.5:
  * Compatibility with Gammu >= 1.36.7
* Wed Sep  2 2015 mcihar@suse.cz
- Update to 2.4:
  * Fixed possible crash when initializing SMSD with invalid parameters.
  * Fixed crash on handling diverts on certain architectures.
* Wed Jun  3 2015 mcihar@suse.cz
- Update to 2.3:
  * License changed tp GPL version 2 or later.
  * Documentation improvements.
* Tue May 12 2015 ecsos@opensuse.org
- update to 2.2
  * Documentation improvements.
  * Code cleanups.
* Wed Apr 15 2015 mcihar@suse.cz
- Add Obsoletes/Provides to handle upgrade path for python-gammu
* Wed Apr 15 2015 mcihar@suse.cz
- Update to 2.1:
  * Include data required for tests in tarball.
  * Include NEWS.rst in tarball.
  * Fixed possible crash when changing debug file.
  * Fixed various errors found by coverity.
- Enabled testsuite
* Tue Apr 14 2015 mcihar@suse.cz
- Initial packaging, upstream has split Python module from Gammu sources
